# Answer a thread, or keep the answer as a draft

`POST /workspace/threads/{id}/say` · Rivier · inbox

Answer a thread, or keep the answer as a draft.

- Scope: inbox:write
- Mcp: rivier_reply
- Graphql: Mutation.inboxThreadSay
- Sdk: inbox.thread.say
- Cli: inbox thread say
- Events: inbox.message.sent

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 10000
    },
    "send": {
      "type": "boolean"
    }
  },
  "required": [
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/threads/{id}/say' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
```
